> For the complete documentation index, see [llms.txt](https://docs.seldon.ai/alibi-explain/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seldon.ai/alibi-explain/api-reference/exceptions.md).

# alibi.exceptions

This module defines the Alibi exception hierarchy and common exceptions used across the library.

## `AlibiException`

*Inherits from:* `Exception`, `BaseException`, `ABC`

Abstract base class of all alibi exceptions.

### Constructor

```python
AlibiException(self, message: str) -> None
```

| Name      | Type  | Default | Description |
| --------- | ----- | ------- | ----------- |
| `message` | `str` |         |             |

## `AlibiPredictorCallException`

### Constructor

```python
AlibiPredictorCallException(self, /, *args, **kwargs)
```

## `AlibiPredictorReturnTypeError`

### Constructor

```python
AlibiPredictorReturnTypeError(self, /, *args, **kwargs)
```

## `NotFittedError`

*Inherits from:* `AlibiException`, `Exception`, `BaseException`, `ABC`

This exception is raised whenever a compulsory call to a `fit` method has not been carried out.

### Constructor

```python
NotFittedError(self, object_name: str)
```

| Name          | Type  | Default | Description |
| ------------- | ----- | ------- | ----------- |
| `object_name` | `str` |         |             |

## `PredictorCallError`

*Inherits from:* `AlibiException`, `Exception`, `BaseException`, `ABC`, `AlibiPredictorCallException`

This exception is raised whenever a call to a user supplied predictor fails at runtime.

## `PredictorReturnTypeError`

*Inherits from:* `AlibiException`, `Exception`, `BaseException`, `ABC`, `AlibiPredictorReturnTypeError`

This exception is raised whenever the return type of a user supplied predictor is of an unexpected or unsupported type.

## `SerializationError`

*Inherits from:* `AlibiException`, `Exception`, `BaseException`, `ABC`

This exception is raised whenever an explainer cannot be serialized.

### Constructor

```python
SerializationError(self, message: str)
```

| Name      | Type  | Default | Description |
| --------- | ----- | ------- | ----------- |
| `message` | `str` |         |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/alibi-explain/api-reference/exceptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
